using System;
using System.Text;
using System.Threading;
using System.IO.Ports;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;

namespace BrainUART
{
    public class Program
    {
        public static void Main()
        {
            var counter = 0;

            // RS232 click on mikroBUS connector
            SerialPort UART = new SerialPort("COM1", 115200);
            UART.Open();

            // Message
            BrainPad.Display.DrawLargeText(10, 10, "BrainPad", BrainPad.Color.Yellow);
            BrainPad.Display.DrawLargeText(25, 30, "RS232 click", BrainPad.Color.Yellow);
            BrainPad.Display.DrawText(5, 60, "Port      : " + UART.PortName, BrainPad.Color.Yellow);
            BrainPad.Display.DrawText(5, 70, "Baud rate : " + UART.BaudRate, BrainPad.Color.Yellow);
            BrainPad.Display.DrawText(5, 80, "Data bits : " + UART.DataBits, BrainPad.Color.Yellow);
            BrainPad.Display.DrawText(5, 90, "Stop bits : " + UART.StopBits, BrainPad.Color.Yellow);
            BrainPad.Display.DrawText(5, 100,"Parity    : " + UART.Parity, BrainPad.Color.Yellow);

            while (true)
            {
                string counter_string = "Compte:" + counter.ToString() + "\r\n";
                byte[] outBuffer = Encoding.UTF8.GetBytes(counter_string);
                UART.Write(outBuffer, 0, outBuffer.Length);
                Debug.Print(counter_string);
                counter++;
                Thread.Sleep(500);
            }

        }
    }
}
